[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#30739: When a tiny part of a package uses non-free libraries

This is not the Debian Way.  If cardinfo is installed, all libraries
should be included and cardinfo should be easy to run.  A wrapper
causes the following reaction:

	What's wrong, I installed cardinfo and it doesn't run.

	It says I need to install a library.  How do I choose the
	correct library.  

	I just grabbed libforms and cardinfo crashes.  Perhaps I
	grabbed the release of libforms.

This is bad.

Of course, if we stop talking and put our effort into writing a new
free cardinfo, we would probably be done by now.

Kevin Dalley

>>>>> "Samuel" == Samuel Tardieu <sam@inf.enst.fr> writes:

> I jump into this thread, but I missed a lot of it, so this topic may
> have been covered in details already: why not creating a small
> cardinfo shell wrapper that prints a clear error message if libforms
> is not installed, and calls the real cardinfo if everything looks
> OK?

Reply to: